Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO]steam client

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO]steam client

Messaggioda tornadomig » mer nov 13, 2013 0:27

ciao a tutti!

per cortesia, potreste verificare se il suddetto pacchetto di alienbob riuscite a installarlo ex novo? s'intende su -current64 multilib e anche su stable 64. ho visto le dipendenze nel read me e le ho applicate ma non vuol saperne di funzionare. non e' che io usi steam ma prima aveva sempre funzionato. guardando in /tmp l' error.log di steamclient.bin mi da' failed alla riga 277. io mi fermo qui...

grazie!
Ultima modifica di tornadomig il mer nov 13, 2013 21:13, modificato 1 volta in totale.
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.4
Linux 2.4
 
Messaggi: 493
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -current64 uefi_grub
Kernel: 3.14.13
Desktop: KDE-4.13.3
Distribuzione: gentoo

Re: steam client

Messaggioda scorpion77 » mer nov 13, 2013 7:18

Ciao, a me si installa correttamente, ma quando dò il comando steam, ottengo vari errori. Ho da poco installato Slackware64 14.1 con i pacchetti multilib "compat32" di AlienBob. Questo è l'output del comando:

Codice: Seleziona tutto
Slackware 32-bit: Check the 'deps/<slackwareversion>' directory where you downloaded this package and install/upgrade the packages you find there.
Slackware 64-bit multilib: Install/upgrade the packages in the 'deps/<slackwareversion>/multilib' subdirectory instead.

Running Steam on slackware 14.1 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0_client)
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20131113071349_1.dmp
/home/andrea/.local/share/Steam/steam.sh: line 704: 16994 Errore di segmentazione $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
Installing bootstrap /home/andrea/.local/share/Steam/bootstrap.tar.xz
Slackware 32-bit: Check the 'deps/<slackwareversion>' directory where you downloaded this package and install/upgrade the packages you find there.
Slackware 64-bit multilib: Install/upgrade the packages in the 'deps/<slackwareversion>/multilib' subdirectory instead.

Running Steam on slackware 14.1 64-bit
STEAM_RUNTIME has been set by the user to: /home/andrea/.local/share/Steam/ubuntu12_32/steam-runtime
Installing breakpad exception handler for appid(steam)/version(0_client)
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20131113071350_1.dmp
/home/andrea/.local/share/Steam/steam.sh: line 704: 17078 Errore di segmentazione $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
Finished uploading minidump (out-of-process): success = no
error: HTTP response code said error
Finished uploading minidump (out-of-process): success = no
error: HTTP response code said error


Ovviamente prima con Slackware64 14.0 funzionava alla perfezione.

Scorpion77
Avatar utente
scorpion77
Linux 1.0
Linux 1.0
 
Messaggi: 92
Iscritto il: gio gen 20, 2005 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.1
Desktop: KDE 4.10.5

Re: steam client

Messaggioda daigoro » mer nov 13, 2013 10:09

Salve

se può servire, sabato ho reinstallato il compiuter e ho installato slackware64 14.1 ho mantenuto solo la directory home che è su un disco separato, ho installato le multilib, i driver nvidia con il doppio supporto anche 32bit, installato le dipendenze di steam, sia in 64 che in compat 32, installato il pacchetto steam, e tutto funziona, anche i giochi.

Saluti a tutti
Avatar utente
daigoro
Linux 1.0
Linux 1.0
 
Messaggi: 34
Iscritto il: mar feb 19, 2008 17:40
Località: Rimini
Nome Cognome: Michele Fantini
Slackware: 64 13.37
Kernel: 2.6.37.6
Desktop: KDE 4.5.5

Re: steam client

Messaggioda tornadomig » mer nov 13, 2013 11:43

ma che strano...

c'è qualcosa nella procedura che non mi convince o seguo i passi sbagliati. installo le dipendenze (OpenAL, flashplayer e pure oxygen-gtk2 convertite con le multilib, digito alla fine il comando per lanciare il tutto come utente $ steam e mi dà command not found. forse sto rincoglionendo del tutto :roll:
ma la cosa strana è che non compila lo slackbuild tanto è vero che si pianta e riporta Failed riga 277 nell' error.log

il pacchetto steamclient va convertito con il comando convertpkg-compat32 -i steam etc etc, giusto? cosa mi tocca chiedere :shock: :)
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.4
Linux 2.4
 
Messaggi: 493
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -current64 uefi_grub
Kernel: 3.14.13
Desktop: KDE-4.13.3
Distribuzione: gentoo

Re: steam client

Messaggioda daigoro » mer nov 13, 2013 12:08

Io il pachetto steam l'ho installato cosi com'è non l'ho convertito in compat32 perchè non esiste uno equivalente a 64bit
Avatar utente
daigoro
Linux 1.0
Linux 1.0
 
Messaggi: 34
Iscritto il: mar feb 19, 2008 17:40
Località: Rimini
Nome Cognome: Michele Fantini
Slackware: 64 13.37
Kernel: 2.6.37.6
Desktop: KDE 4.5.5

Re: steam client

Messaggioda brg » mer nov 13, 2013 13:05

Io ho aggiornato la 14.0 alla 14.1 (entrambe 64 bit) e lo Steam client funziona correttamente. Non ho né reinstallato Steam, né OpenAL, né FlashPlyer, ma ho lasciato i pacchetti che avevo nella 14.0 e funziona.
Avatar utente
brg
Linux 2.4
Linux 2.4
 
Messaggi: 240
Iscritto il: sab mar 12, 2011 14:20
Località: Montecatini
Slackware: 14.1
Kernel: 3.10.17
Desktop: KDE4

Re: steam client

Messaggioda tornadomig » mer nov 13, 2013 15:05

@daigoro

quindi tu hai installato il pacchetto steamclient con architettura i386 e non l'hai convertito in compat32? il tutto su 14.1 stable 64? le multilib sì, è ovvio

http://taper.alienbase.nl/mirrors/people/alien/slackbuilds/steamclient/build/README.Slackware

hai messo anche queste?


@scorpion

che comando hai dato? questo?
Codice: Seleziona tutto
$ steam


grazie dell'interessamento, slackers! 8)
Ultima modifica di tornadomig il mer nov 13, 2013 21:07, modificato 1 volta in totale.
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.4
Linux 2.4
 
Messaggi: 493
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -current64 uefi_grub
Kernel: 3.14.13
Desktop: KDE-4.13.3
Distribuzione: gentoo

Re: steam client

Messaggioda daigoro » mer nov 13, 2013 17:31

Ho installato le multilib di Alien con le relative compat32 e sempre di Alien OpenAL x64 e il 32bit convertito in compat32, il flash l'ho installato solo per x64 probabilmente i filmati del sito non mi funzionano ma vedro in seguito.
Eseguito steam dal menu ed è partito correttamente
Avatar utente
daigoro
Linux 1.0
Linux 1.0
 
Messaggi: 34
Iscritto il: mar feb 19, 2008 17:40
Località: Rimini
Nome Cognome: Michele Fantini
Slackware: 64 13.37
Kernel: 2.6.37.6
Desktop: KDE 4.5.5

Re: steam client

Messaggioda scorpion77 » mer nov 13, 2013 17:39

tornadomig ha scritto:@scorpion

che comando hai dato? questo?
Codice: Seleziona tutto
$ steam



Esattamente. Tu hai lo stesso errore?
Avatar utente
scorpion77
Linux 1.0
Linux 1.0
 
Messaggi: 92
Iscritto il: gio gen 20, 2005 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.1
Desktop: KDE 4.10.5

Re: steam client

Messaggioda tornadomig » mer nov 13, 2013 21:11

ok slackers ;)

ci sono. ho rimosso
Codice: Seleziona tutto
steamclient-compat32-1.0.0.42-x86_64-1aliencompat32

il quale non c'entrava un bel niente [-X . che testa che sono #-o ho installato il pacchetto gia' fatto di alienbob e ha funzionato. giuro, non mi ricordavo proprio che non dovevo convertirlo con convertpkg-compat32!

grazie ragazzi!!!
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.4
Linux 2.4
 
Messaggi: 493
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -current64 uefi_grub
Kernel: 3.14.13
Desktop: KDE-4.13.3
Distribuzione: gentoo

Re: [RISOLTO]steam client

Messaggioda tornadomig » gio nov 14, 2013 19:14

@daigoro

se i filmati non li vedi e' perche' con le multilib installate ci vuole anche flash convertito in compat32 con il tool di alienbob :idea: .
prova e dimmi se e' cosi'. grazie!

e comunque hai seguito cosa suggerisce alienbob?

In addition to
'compat32' versions of the aforementioned dependencies (OpenAL and
flashplayer-plugin), it is recommended that you also install a 'compat32'
package for oxygen-gtk2 .
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.4
Linux 2.4
 
Messaggi: 493
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -current64 uefi_grub
Kernel: 3.14.13
Desktop: KDE-4.13.3
Distribuzione: gentoo


Torna a Packages

Chi c’è in linea

Visitano il forum: Bing [Bot] e 2 ospiti